<?php
$options = get_option('smart-ai-content-creator');
$silo_options = $this->smaicc_getsvdsilooptions_2403116280348208(0,1);

?>
<script type="text/javascript">
var enabled = 1;
var freqsid = 1;
var typesid = 9;
var siloid = 0;
var paction = "the_ajax_getSilosData";

function queryParams(p) {

  //statusid = $("#lststatus").val();
  //freqsid = $("#lstfreqs").val();
  //typesid = $("#lsttypes").val();

  return {
    action: paction,
    order: p.order,
    sort: p.sort,
    offset: p.offset,
    limit: p.limit,
    query: p.search,
    siloid: siloid
  };
}

function confirmUnregister()
{
  if(confirm("Are you sure you want to unregister <?php echo SMAICC_NAME;?> from this blog?"))
  {

    unregisterSmaicc();

  }

}
jQuery(document).on('ready', function(){

  jQuery("#btnsavedsilo").on('click', function(){

    siloid = jQuery("#savedsilos").val();

    jQuery("#silosmonitortable").bootstrapTable('refresh');

  });

});
</script>
<script>
function promptFormatter(value,row,index)
{
  var outstr = '';
  var title = '';

  if(row.prompt == 0 && row.requrl.indexOf('auto')>-1)
  {
    outstr = 'Campaign';
  }
  else
  {
    outstr = row.prompt;
  }

  return [outstr].join('');
}

function lastPostedFormatter(value,row,index)
{
  var outstr = '';
  outstr = row.datecreated;

  return [outstr].join('');
}

function opsFormatter(value, row, index)
{
  var outstr = '<div style="width:100%;text-align:center"><div class="btn-group">';
  outstr += '<a class="btn btn-primary" href="/?p='+row.postid+'" target="_blank" title="View Post"><i class="icon-browser"></i></a>';
  outstr += '<a class="btn btn-success" href="<?php echo admin_url(); ?>post.php?post='+row.postid+'&action=edit" title="Edit Post"><i class="icon-pencil"></i></a></div></div>';
  return [outstr].join('');
}

function imageFormatter(value, row, index)
{
  var outstr = '';

  if(row.imageresult != null && row.imageresult.indexOf("http")>-1)
  {
    outstr += "<p><img title='"+row.imageprompt+"' style='width:64px' src='"+row.imageresult+"'/></p>";
  }
  else
  {
    outstr +="<p><div style='width:120px;height:120px;background:#f5f5f5'><strong>"+row.imageresult+"</strong></div></p>";
  }
  return [outstr].join('');
}

function resultsFormatter(value,row,index)
{
  var outstr = "";

  if(row.response != null && row.response != "")
  {
    var o = JSON.parse(row.response);
    var t = o.title;
    var b = o.body;
    if(b.length > 512)
    {
      b = b.substr(0,512)+"...";
    }
    var ret = "<div>"+t+"</div><div>"+b+"</div>";
    outstr = ret;
  }
  return [outstr].join('');
}

function statusFormatter(value,row,index)
{
  var outstr = "";

  switch(row.status)
  {
    case "0":

      outstr = "Waiting to process";

      break;

   case "2":

      outstr = "Processing";

     break;

   case "10":

      outstr = "Processed";

     break;


  case "0":
  default:
    outstr = "item";

    break;

  }


  return [outstr].join('');
}

</script>

<div id="mainwrapper" class="wrap" style="display:">
  
  <div class="dlm" id="poststuff">

    <div class="clear"></div>
    
    <div class="" align="center">
    
      <img style="width:85%;max-width:460px" src="<?php echo plugins_url( 'images/sf-banner-transparent.png', dirname(__FILE__) );?>" alt="Smart AI Content Creator"/>

      <h1>Silo Factory Monitor View</h1>
      
      <div class="wrap">
        
        <div class="dlm" id="poststuff">

          <div class="form-group">

            <div class="input-group" style="width:444px">

              <div class="input-group-addon" style="width:100px">

                <label for="savedsilos">Open Silo:</label>

              </div>

              <div class="input-group-addon" style="width:222px">

                <select id="savedsilos" class="btn btn-default form-control savedsilos" style="text-align:left;width:222px"><?php echo $silo_options;?></select>

              </div>

              <div class="input-group-addon" style="width:44px">

                <button title="Open Silo" id="btnsavedsilo" type="button" class="btn btn-primary action"><i class="icon-folder-open"></i></button>

              </div>

              <div class="input-group-addon" style="width:44px">

                <button id="btntrashsilo" title="Delete Saved Silo" type="button" class="btn btn-danger action"><i class="icon-trash"></i></button>

              </div>

            </div>

          </div>
          
          <div class="clear"></div>
          
          <div class="postbox" style="padding:24px">
            
            <div class="row">

              <table
                  id="silosmonitortable"
                  data-toggle="table"
                  data-url="<?php echo $_SERVER['REQUEST_URI'];?>"
                  data-show-refresh="true"
                  data-show-toggle="false"
                  data-show-columns="true"
                  data-search="false"
                  data-select-item-name="toolbar1"
                  data-pagination="true"
                  data-method="get"
                  data-sort-name="requrl"
                  data-sort-order="DESC"
                  data-side-pagination="server"
                  data-page-list="[5,10, 25, 50]"
                  data-detail-formatter="detailFormatter"
                  data-response-handler="responseHandler"
                  data-query-params="queryParams"
                  data-page-size="100"
                  data-sort-order="desc">
                  <thead>
                  <tr>
                    <th data-field="id" data-sortable="true" >ID</th>
<!--                     <th data-field="srcid" data-sortable="true" >srcid</th> -->
<!--                     <th data-field="taskid" data-sortable="true" >taskid</th> -->
                    <th data-field="status" data-sortable="true">status</th>
<!--                     <th data-field="requrl" data-sortable="true" >requrl</th> -->
                    <th data-field="prompt" data-sortable="false" data-formatter="promptFormatter">prompt</th>
                    <th data-field="response" data-sortable="false" data-formatter="resultsFormatter">Generative</th>
                    <th data-field="imageprompt" data-sortable="false" >imageprompt</th>
                    <th data-field="imageresult" data-sortable="false" data-formatter="imageFormatter">image</th>
                    <th data-field="lastupdated" data-sortable="true" data-formatter="lastPostedFormatter">updated</th>
                    <th data-field="postid" data-sortable="true" >posted</th>
<!--                     <th data-field="postid" data-sortable="true" data-formatter="opsFormatter">View/Edit</th> -->

                  </tr>
                  </thead>
              </table>

            </div>

          </div>            
          
        </div>
       
      </div>
   

    </div>

  </div>

  <form style="border: medium none; background: none repeat scroll 0% 0% transparent;" method="post"  id="theForm" onsubmit="return confirm('Are you sure you want to execute the selected operations?');">
    <div style="position:absolute;bottom:35px;width:100%;padding-top:25px;padding-bottom:25px;font-size:12px;text-align:center">
      This plugin is registered to <?php echo $options['user_email']; ?> 
      <i>(click <a href="javascript:void(0);" onClick="confirmUnregister();">here</a> to unregister)</i>    
    </div>

    <input name="action" type="hidden" value="the_ajax_smaicUnregister" />

  </form>

</div>

<div class="notifydiv">
<h2><span id="mymessage"></span></h2>
<p style="font-size:16px"><span id="myexplanation"></span></p>
</div>

<style type="text/css">
.monitor
{
width:100%;
}
.monitorcell
{
display:inline-block;
float:left;
width:10%;
padding:12px;
font-size:14px;
font-weight:700;
}
.notifydiv
{
  display:none;
  width:460px;
  height:300px;
  border: solid 2px #444444;
  background-color:#1082c5;
  color:#ffffff;
  padding:16px;
  position:fixed;
  top:50%;
  left:50%;
  margin-top:-150px; /* negative half the size of height */
  margin-left:-230px; /* negative half the size of width */
  z-index: 1400;
  border-radius:14px;
  
}

.error
{
color:red;
}

.success
{
color:green;
}
</style>