<?php

$options = get_option('smart-ai-content-creator');

$deepaiapikey = $options['deepaiapikey'];
$openaiapikey = $options['openaiapikey'];
?>
<script>
var enabled = 1;
var freqsid = 1;
var typesid = 9;
var showerrors = "0";
var paction = "the_ajax_getSmaiccPosts";
function queryParams(p) {

  //statusid = $("#lststatus").val();
  //freqsid = $("#lstfreqs").val();
  //typesid = $("#lsttypes").val();
  showerrors = "0";

  if(jQuery("#showerrors").is(":checked"))
  {
    showerrors = "1";
  }

  return {
    showerrors: showerrors,
    action: paction,
    order: p.order,
    sort: p.sort,
    offset: p.offset,
    limit: p.limit,
    query: p.search
  };
}

function promptFormatter(value,row,index)
{
  var outstr = '';
  var title = '';

  if(! row.response || row.response == '')
  {
    outstr = row.prompt;
  }
  else
  {
    var obj = {};
    obj = JSON.parse(row.response);
    title = obj.title;

    outstr = '<p>'+title+'</p>';
  }

  return [outstr].join('');
}

function lastPostedFormatter(value,row,index)
{
  var outstr = '';
  outstr = row.datecreated;

  return [outstr].join('');
}

function opsFormatter(value, row, index)
{
  var outstr = '';
  if(row.status == 10)
  {
    outstr += '<div style="width:100%;text-align:center"><div class="btn-group">';
    outstr += '<a class="btn btn-primary" href="'+row.permalink+'" target="_blank" title="View Post"><i class="icon-browser"></i></a>';
    outstr += '<a class="btn btn-success" href="<?php echo admin_url(); ?>post.php?post='+row.postid+'&action=edit" title="Edit Post"><i class="icon-pencil"></i></a></div></div>';
  }
  else if(row.status == 2)
  {
    outstr += '<div style="width:100%;text-align:center"><div class="btn-group">';
    outstr += '<button data-id="'+row.id+'" class="btn btn-primary gonext2" title="Try Next Step"><i class="icon-redo"></i></a>';
    outstr += '<button data-id="'+row.id+'" class="btn btn-danger errdelete" title="Delete entry"><i class="icon-trash"></i></a></div></div>';
  }
  else if(row.status == 3)
  {
    outstr += '<div style="width:100%;text-align:center"><div class="btn-group">';

    if(row.prompt != "0")
    {
      outstr += '<button data-id="'+row.id+'" class="btn btn-primary gonext3" title="Re-try this Campaign Event"><i class="icon-undo"></i></a>';
    }

    outstr += '<button data-id="'+row.id+'" class="btn btn-danger errdelete" title="Delete entry"><i class="icon-trash"></i></a></div></div>';
  }
  return [outstr].join('');
}

function imageFormatter(value, row, index)
{
  var outstr = '';

  if(row.imageresult)
  {
    if(row.imageresult.indexOf("http")>-1)
    {
      outstr += "<p><img title='"+row.imageprompt+"' style='width:120px' src='"+row.imageresult+"'/></p>";
    }
    else
    {
      outstr +="<p><div style='width:120px;height:120px;background:#f5f5f5'></div></p>";
    }
  }
  return [outstr].join('');
}

function statusFormatter(value,row,index)
{
  var outstr = "";

  switch(row.status)
  {
    case "0":

      outstr = "Waiting to process";

      break;

   case "1":

      outstr = "Processing";

     break;


   case "2":

      outstr = "Text Collected";

     break;

   case "3":

    if(row.error != "")
    {
      outstr = "Error: "+row.error;
    }
    else
    {
      outstr = "Error";
    }

     break;


  case "10":

      outstr = "Posted";

     break;


  default:
    outstr = "?";

    break;

  }


  return [outstr].join('');
}


jQuery(document).on('change', '#showerrors', function() {

  jQuery("button[name='refresh']").click();

});

jQuery(document).on('load-success.bs.table', '#sourcestable', function(){

  jQuery(".gonext2").on('click', function(){

    // send data to server to initiate next step
    goNext(jQuery(this).attr("data-id"),'gonext2');

  });

  jQuery(".gonext3").on('click', function(){

    // send data to server to initiate: set status to 1, delete error
    goNext(jQuery(this).attr("data-id"),'gonext3');

  });

  jQuery(".errdelete").on('click', function(){

    // send data to server to initiate: set status to 1, delete error
    goNext(jQuery(this).attr("data-id"),'delete');

  });

});

</script>
<div class="wrap">
  
  <div class="dlm" id="poststuff">
    
    <div class="clear"></div>
    
    <div class="postbox" style="padding:24px">

      <div align="center">
        <img style="width:65%" src="<?php echo plugins_url( 'images/smaicc-banner-post-history.jpg', dirname(__FILE__) );?>" alt="Smart AI Content Creator"/>
      </div>
      
      <div class="row">
        <div class="form-group" style="width: 65%;text-align: -webkit-center;<?php
        if($this->g_posterrors == 0)
        {
          echo "display:none;";
        }
        ?>">
          <div class="input-group">
            <div class="input-group-addon" style="width: 25%;">
              <input type="checkbox" id="showerrors" name="showerrors" value="1">
            </div>
            <div class="input-group-addon" style="width: 75%;">
              <label for="showerrors">Show Errors</label>
            </div>
          </div>
        </div>        
        <table
            id="sourcestable"
            data-toggle="table"
            data-url="<?php echo $_SERVER['REQUEST_URI'];?>"
            data-show-refresh="true"
            data-show-toggle="false"
            data-show-columns="true"
            data-search="false"
            data-select-item-name="toolbar1"
            data-pagination="true"
            data-method="get"
            data-sort-name="datecreated"
            data-sort-order="DESC"
            data-side-pagination="server"
            data-page-list="[5,10, 25, 50]"
            data-detail-formatter="detailFormatter"
            data-response-handler="responseHandler"
            data-query-params="queryParams"
            data-page-size="100"
            data-sort-order="desc">
            <thead>
            <tr>
              <th data-field="id" data-sortable="true" >ID</th>
              <th data-field="imageresult" data-sortable="false" data-formatter="imageFormatter"></th>
              <th data-field="prompt" data-sortable="true" data-formatter="promptFormatter">Title</th>
              <th data-field="datecreated" data-sortable="true" data-formatter="lastPostedFormatter">Date Created</th>
              <th data-field="status" data-sortable="true" data-formatter="statusFormatter">status</th>
              <th data-field="postid" data-sortable="true" data-formatter="opsFormatter">View/Edit</th>

            </tr>
            </thead>
        </table>

      </div>

    </div>            
    
  </div>
 
</div>
<!-- /.postbox -->

<form id="creationsform" method="POST">
<input type="hidden" id="itemid" name="itemid" value="0"/>
<input type="hidden" id="whattodo" name="whattodo" value=""/>
<input type="hidden" id="action" name="action" value="the_ajax_creationsManage"/>
</form>

<div class="notifydiv">
<h2><span id="mymessage"></span></h2>
<p style="font-size:16px"><span id="myexplanation"></span></p>
</div>

<style type="text/css">
.table tbody tr:hover td,
.table tbody tr:hover th {
    background-color: inherit;
}
.notifydiv
{
  display:none;
  width:460px;
  height:300px;
  border: solid 2px #444444;
  background-color:#1082c5;
  color:#ffffff;
  padding:16px;
  position:fixed;
  top:50%;
  left:50%;
  margin-top:-150px; /* negative half the size of height */
  margin-left:-230px; /* negative half the size of width */
  z-index: 1400;
  border-radius:14px;
  
}
input[type=checkbox],input[type=radio]
{
	-webkit-appearance: auto;
  width: 18px;
  height: 18px;
  margin-left:12px;
}

.error
{
color:red;
}

.success
{
color:green;
}

</style>