<script>

jQuery(document).ready(function(){

  jQuery( "#tabs" ).tabs();

  jQuery("#btnrewrite").on('click', function(){

    var sectionout = '';
    is_loading_rewrite = 1;

    jQuery("#btnrewrite").addClass("disabled");
    jQuery("#btnrewrite").attr("disabled","disabled");

    if(jQuery("div.paragraph").length > 0)
    {
      executeSectionRewriting(is_loading_rewrite);
    }


  });

  jQuery("#btnretitle").on('click', function(){

    var out = jQuery("#title_to_rewrite").val();

    if(out.length == 0)
    {
      notify("Invalid input","Please enter a topic or headline idea for Titles." );
      return;
    }

    jQuery("#retitlertext").val(out);
    
    executeReTitle();

  });

  jQuery("#btnresearch").on('click', function(){

    var out = jQuery("#topic_to_research").val();

    if(out.length == 0)
    {
      notify("Invalid input","Please enter a topic for article research." );
      return;
    }

    jQuery("#articletopic").val(out);

    jQuery(this).hide();
    
    executeArticleOutline();

  });

  jQuery("#btnclearall").on('click', function(){

    jQuery("#text_to_rewrite").val("");
    jQuery("#rewritten_text").val("");
    jQuery("#rewritesectionholder").find(".paragraph").remove();
    jQuery("#btnrewrite").attr("disabled","disabled");
    jQuery("#btnrewrite").addClass("disabled");
    jQuery("#btnclearall").attr("disabled","disabled");
    jQuery("#btnclearall").addClass("disabled");
    jQuery("#btnsaverewrite").attr("disabled","disabled");
    jQuery("#btnsaverewrite").addClass("disabled");
    jQuery("#btnexportrewrite").attr("disabled","disabled");
    jQuery("#btnexportrewrite").addClass("disabled");
    jQuery("#btnexportaswordrewrite").attr("disabled","disabled");
    jQuery("#btnexportaswordrewrite").addClass("disabled");
  });

  jQuery("#btnclearall2").on('click', function(){

    jQuery("#title_to_rewrite").val("");
    jQuery("#rewritten_titles").val("");

  });

  jQuery("#btnclearall3").on('click', function(){

    jQuery("#topic_to_research").val("");
    jQuery("#article_outline").val("");
    jQuery("#objholder").html("");
    jQuery("#btnresearch").show();

  });

  thispage = 'rewriter';

  onInputRewriteText = function()
  {
    var finalparagraphs = [];
    var toappend = '';

    var txt = jQuery("#rewriteinput1").val();
    txt = txt.trim();
    var len = txt.length;

    jQuery("#rewritesectionholder").html("");

    if(len > 3000)
    {
      var paragraphs = txt.split("\n\n");

      for(var i=0; i < paragraphs.length; i++)
      {
        var thispara = paragraphs[i].trim();

        if(thispara != "")
        {
          if(thispara.length > 3000)
          {
            // split it into sections 3000 or less, find end of sentence add multiple paras to finalparagraphs
            var howmany = Math.ceil(thispara.length / 3000);

            for(var a=0; a < howmany; a++)
            {
              var apart = '';
              var start = 0;
              var end = 0;
              
              start = (a * 3000);

              if(a < howmany - 1) // it'll be 3000
              {              
                end = start + 3000;
              }
              else
              {
                end = thispara.length;
              }

              apart = thispara.substring(start, end);

              finalparagraphs[finalparagraphs.length] = apart;
            }
          }
          else
          {
            finalparagraphs[finalparagraphs.length] = thispara;
          }
        }
      }

      for(var i=0; i < finalparagraphs.length; i++)
      {
        var idx = i+1;
        toappend += '<div data-idx="'+idx+'" class="paragraph">' + finalparagraphs[i] + '</div>';
      }

      if(finalparagraphs.length > 0)
      {
        // enable rewrite button
        jQuery("#btnrewrite").removeAttr("disabled");
        jQuery("#btnrewrite").removeClass("disabled");
        jQuery("#btnclearall").removeAttr("disabled");
        jQuery("#btnclearall").addClass("disabled");

      }

    }
    else
    {
      finalparagraphs[finalparagraphs.length] = txt;
      // add single section with txt
      toappend += '<div data-idx="1" class="paragraph">' + txt.replace("/\n/g","<br>") + '</div>';
      // enable rewrite button
      jQuery("#btnrewrite").removeAttr("disabled");
      jQuery("#btnrewrite").removeClass("disabled");
      jQuery("#btnclearall").removeAttr("disabled");
      jQuery("#btnclearall").addClass("disabled");
      finalparagraphs
    }

    jQuery("#rewritesectionholder").html(toappend);

    jQuery("#modalrewriteinputdialog").dialog("close");

    if(finalparagraphs.length > 0)
    {
      window.location.hash = "";

      setTimeout(function(){

        window.location.hash = "#operations";

      }, 100);
    }        
  }

});

function openRewriteTextInput()
{
  jQuery("#modalrewriteinputdialog").dialog({width:"65%",minWidth:"460px",modal:true});
}
</script>
<div class="wrap">
  
  <div class="dlm" id="poststuff">
    
    <div class="clear"></div>
    
    <div class="postbox" style="padding:24px">

      <div align="center">
        <img style="width:65%" src="<?php echo plugins_url( 'images/smaicc-banner-rewriter.png', dirname(__FILE__) );?>" alt="Smart AI Content Creator"/>
      </div>
      
      <div class="row">

        <div class="" align="center">

          <div id="tabs" name="tabs" style="width:100%">

            <ul id="tabsul" class="btn-group">
              <li class="active btn btn-primary"><a style="color:#ffffff;font-weight:700" href="#tabs-1">ReWriter</a></li>
              <li class="btn btn-info"><a style="color:#ffffff;font-weight:700" href="#tabs-2">Re-Titler</a></li>
              <li class="btn btn-primary"><a style="color:#ffffff;font-weight:700" href="#tabs-3">Brain Builder</a></li>
              <li class="btn btn-info"><a style="color:#ffffff;font-weight:700" href="#tabs-4">Naturalizer</a></li>
            </ul>
            
            <div class="clear"></div>
        
            <div id="tabs-1">
            
              <h2 style="font-size:24px;margin-top:36px">ReWriter - Rewrite Paragraphs or Entire Articles</h2>
              
              <ol style="width:65%;font-size:16px;text-align:left;font-weight:600"><li>Click the "Input Text for Rewriting" Button</li>
                 <li>Paste or type in the text you want to rewrite into the dialog, then click the button</li>
                 <li>The target text is loaded in the window and the "ReWrite" button is enabled.</li>
                 <li>Click "<strong>ReWrite</strong>" and entire content will be rewritten.</li>
              </ol>
              <ul class="smaiccinfo" style="width:65%;font-size:16px;text-align:left;font-weight:400">
                 <li>Because of size limitations, your text is rewritten one paragraph at a time.</li>
                 <li>Any paragraph 3,000 characters or less will be rewritten in one go.</li>
                 <li>Paragraphs larger than 3k chars will be broken into sections and rewritten by section.</li>
                 <li>A paragraph is considered as text separated by two line breaks.</li>
                 <li>If you keep your text less than 3,000 characters per paragraph, your text will not be broken up into sections.</li>
                 <li>Do not navigate away from this page after clicking the "ReWrite" button, until all sections are complete, or click "cancel" to stop the process.</li>
                 <li>Export finished article as a Page on this blog, as text file or Word document, or copy directly from textarea below</li>
              </ul>

              <div class="upperformdiv">

                <div id="openerbuttonholder" style="margin-top:24px;margin-bottom:14px;text-align:center"><button id="btnrewritetextopener" 
                type="button" onclick="JAVASCRIPT:openRewriteTextInput();" class="btn btn-lg btn-primary"><span>Input Text for Rewriting</span></button></div>

                <a name="operations"></a>
                
                <div class="form-group">

                  <div id="rewritesectionholder"></div>

<!--                   <textarea class="form-control rewrite" id="text_to_rewrite" placeholder="Text to be rewritten goes here"></textarea> -->

                  <div class="btn-group" style="margin-top:14px;margin-bottom:14px">

                    <button id="btnclearall" class="btn btn-default btnclearall disabled" type="button" disabled="disabled"><span>Clear All</span></button>

                    <button id="btnrewrite" class="btn btn-primary btnrewrite disabled" type="button" disabled="disabled"><span>ReWrite</span></button>

                    <button id="btnsaverewrite" class="btn btn-info btnsaverewrite disabled" type="button" disabled="disabled"><span>Save as Page</span></button>

                    <button id="btnexportrewrite" class="btn btn-success btnexportrewrite disabled" type="button" disabled="disabled"><span>Export as Text</span></button>

                    <button id="btnexportaswordrewrite" class="btn btn-warning btnexportaswordrewrite disabled" type="button" disabled="disabled"><span>Export as Word Doc</span></button>
                  </div>

                  <textarea class="form-control rewrite" id="rewritten_text" placeholder="Rewritten text will appear here" readonly></textarea>

                </div>

              </div>

            </div>

            <div id="tabs-2">

              <h2 style="font-size:24px;margin-top:36px">Re-Titler</h2>
            
              <div id="upperformdiv">

                <div class="form-group">

                  <input class="form-control retitle" id="title_to_rewrite" placeholder="Topic or title to rewrite goes here"/>

                  <div class="btn-group" style="margin-top:14px;margin-bottom:14px">

                    <button id="btnclearall2" class="btn btn-default btnclearall2" type="button"><span>Clear All</span></button>

                    <button id="btnretitle" class="btn btn-primary btnretitle" type="button"><span>Get Titles</span></button>

                  </div>

                  <textarea class="form-control retitle" id="rewritten_titles" placeholder="New Titles will appear here"></textarea>

                </div>

              </div>

            </div>

            <div id="tabs-3">

              <h2 style="font-size:24px;margin-top:36px">Brain Builder - Generate Long-Form Article Content</h2>

              
              <ol style="width:65%;font-size:16px;text-align:left"><li>Enter Topic or Title to Research and cick "Get Outline"</li>
                 <li>After Outline is loaded, click Pencil icon to write individual section, or</li>
                 <li>Click "<strong>Auto-Load Complete Content</strong>" and entire long form content will be written</li>
                 <li>The full auto-write process may take around 10 minutes depending on the length of the outline.</li>
                 <li>You can stop or pause the process at any time by clicking "Cancel"</li>
                 <li>Do not navigate away from this page when the auto-write is processing, or you will lose your content.</li>
                 <li>You can export a finished article as a Page on this blog, or as text file or Word document. You can also copy from textarea below</li>
              </ol>
              

              <div id="upperformdiv">

                <div class="form-group" style="width:85%">

                  <div class="input-group">

                    <div class="input-group-addon" style="width:95%">

                      <input class="form-control articleoutline" id="topic_to_research" placeholder="Topic or title to research goes here" style='width:100%'/>

                    </div>

                    <div class="input-group-addon" style="width:5%">

                       <button id="btnresearch" class="btn btn-primary btnresearch" type="button"><span>Get Outline</span></button>

                    </div>

                  </div>

                  <div class="btn-group" style="margin-top:14px;margin-bottom:14px;width:100%">

                    <button id="btnautoloadbb" class="btn btn-info btnautoloadbb disabled" type="button" style="width:100%" disabled><span>Auto-Load Complete Content</span></button>

                  </div>

                  <div id="objholder">
                  
                    <h2 class="instructions" style="font-size:18px;margin-top:24px;margin-bottom:16px">
                      <hr/>
                      Article Outline will Appear Here
                      <hr/>
                    </h2>
                    
                  </div>

                  <div class="btn-group" style="margin-top:14px;margin-bottom:14px">

                    <button id="btnexportbb" class="btn btn-primary btnexportbb disabled" type="button" disabled><span>Export to File</span></button>

                    <button id="btnexportword" class="btn btn-warning btnexportword disabled" type="button" disabled><span>Export to MS Word</span></button>

                    <button id="btnexportpost" class="btn btn-success btnexportpost disabled" type="button" disabled><span>Save as Wordpress Page</span></button>

                    <button id="btnclearall3" class="btn btn-default btnclearall2" type="button"><span>Clear All</span></button>
                
                  </div>

                  <textarea class="form-control articleoutline" id="article_outline" placeholder="Article Export will appear here"></textarea>

                </div>

              </div>

            </div>

            <div id="tabs-4">

              <h2 style="font-size:24px;margin-top:36px">Naturalizer</h2>

              <div align="center"><img src="<?php echo plugins_url( 'images/coming-soon.jpg', dirname(__FILE__) );?>"/></div>

            </div>

          </div>

        </div>

      </div>

    </div>            
    
  </div>
 
</div>
<!-- /.postbox -->


<!-- start modal rewrite input dialog -->
<div style="display:none" id="modalrewriteinputdialog" style="overflow-x:hidden">

  <div class="container" style="max-width:100%">

    <h3 align="center">Paste or type your input:</h3>

  <div class="row" style="padding:12px;text-align:center;max-width:1000px">

    <div class="form-group" style="text-align:center">

      <textarea style="width:85%;margin-left:auto;margin-right:auto" class="form-control" id="rewriteinput1"></textarea>

      <button class="btn btn-lg btn-primary" style="width:85%" type="button" id="btnrewriteinput1" onclick="JAVASCRIPT:onInputRewriteText();"><span>Accept Input for Rewriter</span></button>

    </div>

    <p>&nbsp;</p>

  </div>

  </div>

</div>
<!-- end modal rewrite input dialog -->

<form id="rewriterform" method="POST">
<input type="hidden" id="rewritertext" name="rewritertext" value=""/>
<input type="hidden" id="action" name="action" value="the_ajax_smaiccRewriter"/>
</form>

<form id="retitlerform" method="POST">
<input type="hidden" id="retitlertext" name="retitlertext" value=""/>
<input type="hidden" id="action" name="action" value="the_ajax_smaiccRetitler"/>
</form>

<form id="articleoutlineform" method="POST">
<input type="hidden" id="articletopic" name="articletopic" value=""/>
<input type="hidden" id="action" name="action" value="the_ajax_smaiccArticleOutliner"/>
</form>

<form id="sectionwritingform" method="POST">
<input type="hidden" id="articletitle" name="articletitle" value=""/>
<input type="hidden" id="chaptername" name="chaptername" value=""/>
<input type="hidden" id="sectionname" name="sectionname" value=""/>
<input type="hidden" id="articleoutline" name="articleoutline" value=""/>
<input type="hidden" id="dataidx" name="dataidx" value=""/>
<input type="hidden" id="action" name="action" value="the_ajax_smaiccArticleSection"/>
</form>

<form id="pagepostingform" method="POST">
<input type="hidden" id="postingtitle" name="title" value=""/>
<input type="hidden" id="postingcontent" name="content" value=""/>
<input type="hidden" name="action" value="the_ajax_smaiccPostBrainBuilder"/>
</form>


<form method="POST" id="checktextupdateform">
  <input type="hidden" name="action" value="the_ajax_checkSmaiccTextRequest"/>
  <input type="hidden" id="texttaskid" name="texttaskid" value=""/>
</form>


<div class="notifydiv">
<h2><span id="mymessage"></span></h2>
<p style="font-size:16px"><span id="myexplanation"></span></p>
<div style="width:100%;text-align:center"><button type="button" class="btn btn-default notifyclosebutton"><span>Dismiss</span></button></div>
</div>

<style type="text/css">
textarea#rewriteinput1
{
/*  width: 100%;
  max-width:800px;*/
  height: 100%;
  max-height:520px;
  min-height:220px;
  /*min-width: 560px;*/
}

#objholder
{
width:85%;
}
.btnwritesection
{
float:right;
}
.btndeletesection
{
margin-right:22px;
float:right;
}
img.sectionprogress
{
margin-left:28px;
}
.chaptercontent
{
margin-top:12px;
display:inline-block;
clear:both;
font-weight:300;
}
.smaiccarticle
{
min-height:65px;
border-bottom: solid 1px #cccccc;
}
.articletitle
{
font-size:28px;
text-align:left;
margin-top:14px;
margin-bottom;9px;
}
.sectiontitle
{
font-size:16px;
text-align:left;
margin-top:6px;
margin-bottom;3px;
font-weight:700;
}
.chaptertitle
{
font-size:18px;
text-align:left;
margin-top:8px;
margin-bottom:5px;
font-weight:700;
}
.articleintro, .articleoutro
{
font-size:16px;
text-align:left;
margin-top:12px;
margin-bottom;6px;
}
.articlechapter
{
font-size:16px;
font-weight:700;
text-align:left;
/*padding-left:24px;*/
margin-top:3px;
margin-bottom:6px;
}
.articlechaptersectiontitle
{
font-size:16px;
font-weight:700;
text-align:left;
padding-left:24px;
margin-top:3px;
margin-bottom:6px;
}
textarea.articleoutline, textarea#rewritten_text
{
background:#000000;
color:#ffffff;
font-family:courier new, courier;
}
.rewrite
{
min-height:120px;
}
textarea.retitle, textarea.articleoutline
{
min-height:240px;
}

.table tbody tr:hover td,
.table tbody tr:hover th {
    background-color: inherit;
}
.notifydiv
{
  display:none;
  width:460px;
  height:300px;
  border: solid 2px #444444;
  background-color:#1082c5;
  color:#ffffff;
  padding:16px;
  position:fixed;
  top:50%;
  left:50%;
  margin-top:-150px; /* negative half the size of height */
  margin-left:-230px; /* negative half the size of width */
  z-index: 1400;
  border-radius:14px;
  
}
input[type=checkbox],input[type=radio]
{
	-webkit-appearance: auto;
  width: 18px;
  height: 18px;
  margin-left:12px;
}

.error
{
color:red;
}

.success
{
color:green;
}

/*----------------- 
Backend related CSS
-----------------*/

.ui-tabs-nav { 
    padding: 0em; 
    background: transparent; 
    border-width: 0px; 
} 
.ui-tabs-nav li { 
    position: static; 
    margin: 0px; 
    border-bottom: 1px solid #327e04 !important; 
    -moz-border-radius: 0px; 
    -webkit-border-radius: 0px; 
    border-radius: 0px; 
    display:inline-block;
    padding: 14px;
    font-size:16px;
    border: solid 1px #444444;
} 
.ui-tabs-nav li:first-child { 
    -moz-border-radius: 6px 0px 0px 6px; 
    -webkit-border-radius: 6px 0px 0px 6px; 
    border-radius: 6px 0px 0px 6px; 
} 
.ui-tabs-nav li:last-child { 
    -moz-border-radius: 0px 6px 6px 0px; 
    -webkit-border-radius: 0px 6px 6px 0px; 
    border-radius: 0px 6px 6px 0px; 
} 
.ui-tabs-nav li.ui-tabs-selected { 
    padding-bottom: 0px; 
    border-bottom: 1px solid #d4ccb0 !important; 
}


label, input { display:block; }
    input.text { margin-bottom:12px; width:95%; padding: .4em; }
    fieldset { padding:0; border:0; margin-top:25px; 
    }
input.txtkwd
{
border: solid 1px #ddd;
height:20px;
}

.lineItem
{

/*width:680px;*/
min-height:32px;
vertical-align:middle;
padding-top:1px;
padding-bottom:1px;
border: solid 1px #ddd;
background-color:#f5f5f5;

}
.divtextbox
{
float:left;
width:270px;
height:100%;
font-size:11px;
vertical-align:bottom;
/*border: solid 1px green;*/
}

.divradio
{
float:left;
height:100%;
font-size:11px;
/*border: solid 1px red;*/
vertical-align:bottom;
padding-top:4px;
padding-right:4px;
padding-left:12px;
}

.divtopsub
{
float:left;
width:90px;
height:100%;
padding:0px;
font-size:11px;
vertical-align:bottom;
}

.divlinkto
{
float:left;
width:90px;
height:100%;
padding:0px;
font-size:11px;
vertical-align:bottom;
}


.lstcatpage
{
float:left;
width:90px;
height:19px;
padding:0px;
font-size:11px;
vertical-align:bottom;
}

.lstlinkto
{
float:left;
width:90px;
height:19px;
padding:0px;
font-size:11px;
vertical-align:bottom;
}



.txtkwd
{
font-size:24px;
font-family:arial,helvetica,sans-serif;
font-weight:bold;
height:18px;
padding:1px;

}

.para1
{
padding-top:2px;
padding-bottom:5px;

}

.tipster
{
white-space: pre-line;

}

#tabsul.li
{
  text-align:left;
}

#tabs2ul.li
{
  text-align:left;
}

.ui-dialog .ui-dialog-content {
    padding: 0;
}

.ui-dialog
{
  border:solid 3px #000000;
}

.ui-dialog-titlebar 
{
  background-color:#cccccc;
  color:#000000;
}

.ui-dialog-buttonpane
{
  background-color:#cccccc;
  
}

.ui-dialog-title
{
  font-weight:bold;
  color:#000000;
}
/* main.view */
  .ui-tooltip, .arrow:after {
    background: white;
    border: 2px solid black;
  }
  .ui-tooltip {
    padding: 10px 20px;
    color: black;
    border-radius: 20px;
    font: 11px;
    font-weight:normal;
    box-shadow: 0 0 7px green;
  }
  .arrow {
    width: 70px;
    height: 16px;
    overflow: hidden;
    position: absolute;
    left: 50%;
    margin-left: -35px;
    bottom: -16px;
  }
  .arrow.top {
    top: -16px;
    bottom: auto;
  }
  .arrow.left {
    left: 20%;
  }
  .arrow:after {
    content: "";
    position: absolute;
    left: 20px;
    top: -20px;
    width: 25px;
    height: 25px;
    box-shadow: 6px 5px 9px -9px green;
    -webkit-transform: rotate(45deg);
    -moz-transform: rotate(45deg);
    -ms-transform: rotate(45deg);
    -o-transform: rotate(45deg);
    tranform: rotate(45deg);
  }
  .arrow.top:after {
    bottom: -20px;
    top: auto;
  }

  div.ui-tooltip {
    max-width: 600px;
    max-height:800px;
  }

  #divhierarchy {

  min-width:800px;

  }

.wp-media-buttons
{
/*display:none;*/
}
#maindiv .input-group, #maindiv .input-group-addon
{
border: none;
background:unset;
}
.divlinkto
{
display:none;
}
.media-frame-content
{
/*overflow:hidden;*/
}
.subimage
{
max-width:104px;
margin:6px;
cursor:pointer;
}
#btnimgcontroladd
{
position:absolute;
top:24px;
margin-left:24px;
}
#editbtns
{
position: absolute;
top: 24px;
font-size: 24px;
margin-left: 24px;
background: rgb(255, 255, 255);
padding: 6px;
opacity: 0.5;
}
#notification{
  display: none;
  position: absolute;
  bottom: 135px;
  background: rgb(255, 255, 255);
  margin-left: 138px;
  padding: 6px;
  font-size: 16px;
  opacity: 0.8;
  border: solid 1px red;
  color: #ab3e3e;
  z-index:9999;
}
.writenow
{
display:none;
}
#rewritesectionholder
{
background-color: #eaf3f9;
padding: 22px;
}
.paragraph
{
text-align:left;
font-size:16px;
line-height: 1.4;
margin-bottom: 14px;
}
.retext
{
font-size:18px;
font-weight:300;
font-family:Raleway, Helvetica;
}
.counterimage
{
width:48px;
}
.counter
{
float:left;
}
ul.smaiccinfo
{
list-style-type: unset;
}
html {
  scroll-behavior: smooth;
}
.ui-dialog.ui-corner-all.ui-widget.ui-widget-content.ui-front.ui-draggable.ui-resizable
{
width:unset;
}
</style>