<?php
$openaikey_placeholder = $deepaikey_placeholder = $rikukey_placeholder = "* required";
$options = get_option('smart-ai-content-creator');
$user_key = $user_email = "";
$mainlicensebutton = '<input type="button" class="button-primary" id="setting_save" name="setting_save" value="Validate"  onClick="registerSmaicc();return false"/>';
$mainunlicensebutton = '<input type="button" class="button-primary"  id="lnkunregister" name="setting_save" value="Un-Register Smart AI Content Creator" />';
$currentlicensebutton = $mainlicensebutton;
if(isset($options['user_key']))
{
  $user_key = $options['user_key'];
  $currentlicensebutton = $mainunlicensebutton;
}
if(isset($options['user_email']))
{
  $user_email = $options['user_email'];
}
if($levelname == "UNLIMITED" || $levelname == "API-KEY FREE")
{
  $openaikey_placeholder = $deepaikey_placeholder = $rikukey_placeholder = "UNLIMITED -- NO KEY REQUIRED";
}
?>
<div class="wrap">
  
  <div class="dlm" id="poststuff">
    
    <div class="clear"></div>
    
    <div class="postbox" style="padding:24px">

      <div align="center"><img style="width:85%;max-width:640px" src="<?php echo plugins_url( 'images/smaicc-banner-settings.jpg', dirname(__FILE__) );?>" alt="Smart AI Content Creator"/></div>
      
      <div class="row">

        <div class="col-md-12">

          <div class="row" style="border-bottom:solid 5px #efefef;border-radius:6px">

            <form style="border: medium none; background: none repeat scroll 0% 0% transparent;" method="post"  id="theForm">

              <table width="100%" class="form-table" style="Width:100%">

                <tr id="trplease">
                
                  <td colspan="2">
                
                    <div id="divplease">
                    
                      <h1><?php _e(SMAICC_NAME); ?> Licensing</h1>

                      <?php
                      if($currentlicensebutton == $mainunlicensebutton)
                      {
                      ?>
                      <div style="font-size:24px"><img style="height:64px" src="<?php echo $indicator_enabled;?>"/> REGISTERED</div>

                      <?php
                      }
                      else
                      {
                      ?>

                      Below is the license key that was issued to you at time of purchase<br/>
                      along with the associated purchase email address<br/>
                      Contact support if you require license lookup

                      <?php
                      }
                      ?>
                    </div>
                
                  </td>

                </tr>
                
                <tr>

                  <td>
                 
                    <label>Email</label>
                     
                  </td>

                  <td>
                   
                    <input type="text" id="email" name="email" value="<?php echo $user_email;?>"  size="30"/> &nbsp; 
                     
                  </td>
                   
                </tr>
                
                <tr>

                  <td>

                    <label>Key</label>
                    
                  </td>
                  
                  <td>
                  
                     <input type="password" id="key" name="key" value="<?php echo $user_key;?>"  size="30"/> &nbsp; 
                    
                  </td>
                
                </tr>

                <tr>

                  <td>

                    <label>Level:</label>
                    
                  </td>
                  
                  <td>
                  
                     <span><?php echo $levelname;?></span> 
                    
                  </td>
                
                </tr>
                               
                <tr>
               
                  <td>
                   
                    <?php echo $currentlicensebutton;?>
                     
                  </td>
                   
                  <td>
                   
                    <span id="response"></span><img src="<?php echo SMAICC_PLUGIN_URL; ?>images/ajax-loader-2.gif" id="imgprogress" style="display:none"/>
                    
                  </td>
                   
                </tr>        
               
              </table>

              <input id="registeraction" name="action" type="hidden" value="the_ajax_smaicRegister" />

            </form>

          </div>

          <div class="row" style="border-bottom:solid 5px #efefef;border-radius:6px">

            <form style="border: medium none; background: none repeat scroll 0% 0% transparent;" method="post"  id="apiForm">

              <table width="100%" class="form-table" style="width:100%">

                <tr>
                
                  <td colspan="2">
                
                    <div id="divplease">

                      <h1>API Keys</h1>
                    
                      <?php _e(SMAICC_NAME); ?> Uses OpenAI/Dall-E, DeepAI and Riku
                      <br/>
                      If you have a Developer or Unlimited account, no API keys are required.
                      Otherwise, you may use your own API keys or purchase credits if needed.
                    
                    </div>
                
                  </td>

                </tr>
                
                <tr>

                  <td>
                 
                    <label><a href="https://platform.openai.com/" target="_blank" title="Get an OpenAI account">OpenAI</a></label>
                     
                  </td>

                  <td>
                   
                    <input type="text" id="openaiapikey" name="openaiapikey" value="<?php echo $this->openaiapikey;?>" placeholder="<?php echo $openaikey_placeholder;?>" size="30"/> &nbsp; 
                     
                  </td>
                   
                </tr>
                
                <tr>

                  <td>

                    <label><a href="https://deepai.org/" target="_blank" title="Get a DeepAI account">DeepAI</a></label>
                    
                  </td>
                  
                  <td>
                  
                     <input type="text" id="deepaiapikey" name="deepaiapikey" value="<?php echo $this->deepaiapikey;?>"  placeholder="<?php echo $deepaikey_placeholder;?>" size="30"/> &nbsp; 
                    
                  </td>
                
                </tr>
                
                <tr>

                  <td>

                    <label><a href="https://portal.riku.ai/" target="_blank" title="Get a Riku Stable Diffusion image account">Riku</a></label>
                    
                  </td>
                  
                  <td>
                  
                     <input type="text" id="rikuapikey" name="rikuapikey" value="<?php echo $this->rikuapikey;?>"  placeholder="<?php echo $rikukey_placeholder;?>" size="30"/> &nbsp; 
                    
                  </td>
                
                </tr>
                               
                <tr>
               
                  <td>
                   
                    <input type="button" class="button-primary" id="apikeys_save" name="apikeys_save" value="Save"  onClick="saveApiKeysSmaicc();return false"/>
                     
                  </td>
                   
                  <td>
                   
                    <span id="response2"></span><img src="<?php echo SMAICC_PLUGIN_URL; ?>images/ajax-loader-2.gif" id="imgprogress" style="display:none"/>
                    
                  </td>
                   
                </tr> 
                
              </table>

              <input name="action" type="hidden" value="the_ajax_smaicSaveApiKeys" />

            </form>
          
          </div>

          <div class="row" style="border-bottom:solid 5px #efefef;border-radius:6px">

            <div style="margin:24px">

              <img style="width:85%" src="<?php echo SMAICC_PLUGIN_URL . 'images/smaicc-silofactory-header.jpg';?>"/>
            
              <h1>Smart AI Silo Factory</h1>

              <table width="100%" class="form-table" style="width:100%">
              
                <tr>

                  <td>

                    <label for="silofactorylicenseemail">Silo Factory License Email</label>

                    <input class="form-control" id="silofactorylicenseemail" name="silofactorylicenseemail" value="<?php echo $this->silofactoryemail;?>"/>

                  </td>

                </tr>

                <tr>

                  <td>

                    <label for="silofactorylicensekey">Silo Factory License Key</label>

                    <input class="form-control" id="silofactorylicensekey" name="silofactorylicensekey" value="<?php echo $this->silofactorykey;?>"/>

                  </td>
                               
                </tr>

                <tr>
                
                  <td>                

                    <div>

                      <img id="silofactoryvalidatedindicator" src="<?php echo $silofactory_validated_indicator;?>" style="float: right;width:128px">
                      <h3 style="white-space: nowrap;">Silo Factory licensed:</h3>
                                        
                    </div>
                
                  </td>

                </tr>

                <tr>
                
                  <td>                

                    <div>

                      <img id="silofactoryenabledindicator" src="<?php echo $silofactory_enabled_indicator;?>" style="float: right;width:128px">
                      <h3 style="white-space: nowrap;">Silo Factory enabled:</h3>
                                        
                    </div>
                
                  </td>

                </tr>

                <?php

                if($silo_factory_eligible == true )
                {
                  if( $silo_factory_enabled == false)
                  {
  
                ?>

                <form id="silofactoryform" method="POST">
                
                <tr>

                  <td>
                   
                    <button id="btnsilofactoryenable" type="button" class="btn btn-primary btn-lg btnsilofactory"><span>Enable Silo Factory</span></button> 
                     
                  </td>
                   
                </tr>

                <input name="action" type="hidden" value="the_ajax_smaicEnableSiloFactory" />
                <input id="whattodo" name="whattodo" type="hidden" value="enable"/>

                </form>

                <?php
                  }
                  else
                  {
                 ?>
                <form id="silofactoryform" method="POST">                


                <tr>
                  
                  <td>
                  
                    <button id="btnsilofactorydisable" type="button" class="btn btn-danger btn-lg btnsilofactory"><span>Disable Silo Factory</span></button> 
                    
                  </td>
                
                </tr>

                <input name="action" type="hidden" value="the_ajax_smaicEnableSiloFactory" />
                <input id="whattodo" name="whattodo" type="hidden" value="disable"/>

                </form>

                <?php
                  }
                }
                else
                {
                  ?>
                 <div style="text-align:center">
                 
                   <iframe width="560" height="315" src="https://www.youtube.com/embed/-WWxHcf22U0?si=2n6Rz539VSxuM-x0" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe><br/>
                   
                   <a target="_blank" href="https://warriorplus.com/o2/buy/spd00g/g9zqfl/zqfmyg/SPRINGBREAK"><img src="https://warriorplus.com/o2/btn/cn000001001/spd00g/g9zqfl/361912/plgnstngs?ct2=Get%20Smart%20AI%20Silo%20Factory"></a>
                   <div style="font-size:16px" align="center"><strong>Use coupon code SPRINGBREAK for 30% off for a limited time! just $39</strong></div>

                 </div>
                <form id="silofactorylicensekeyform" method="POST">

                               
                <tr>
               
                  <td>
                   
                    <input type="button" class="button-primary" id="silofactorykey_save" name="silofactorykey_save" value="Validate"  onClick="registerSiloFactorySmaicc();return false"/>
                     
                  </td>
                   
                </tr>

                <tr>

                  <td>

                    <span id="silofactoryresponse"></span><img src="<?php echo SMAICC_PLUGIN_URL; ?>images/ajax-loader-2.gif" id="imgsilofactoryprogress" style="display:none"/>

                  </td>

                </tr>

                <input name="action" type="hidden" value="the_ajax_registerSiloFactoryKey" />
                <input id="sfregisterlicensekey" name="sfregisterlicensekey" type="hidden" value=""/>
                <input id="sfregisterlicenseemail" name="sfregisterlicenseemail" type="hidden" value=""/>

                </form>
                
                <?php
                }
                ?>
                
              </table>
          
            </div>
          </div>


          


          <div class="row" style="border-radius:6px">

            <div style="margin:24px">

              <img style="width:85%" src="<?php echo SMAICC_PLUGIN_URL . 'images/smaicc-campaigns-header.jpg';?>"/>
            
              <h1>Smart AI Campaigns</h1>

              <table width="100%" class="form-table" style="width:100%">
              
                <tr>

                  <td>

                    <label for="smartaicampaignslicenseemail">Smart AI Campaigns License Email</label>

                    <input class="form-control" id="smartaicampaignslicenseemail" name="smartaicampaignslicenseemail" value="<?php echo $this->smartaicampaignsemail;?>"/>

                  </td>

                </tr>

                <tr>

                  <td>

                    <label for="smartaicampaignslicensekey">Smart AI Campaigns License Key</label>

                    <input class="form-control" id="smartaicampaignslicensekey" name="smartaicampaignslicensekey" value="<?php echo $this->smartaicampaignskey;?>"/>

                  </td>
                               
                </tr>

                <tr>
                
                  <td>
                

                    <div>

                      <img id="smartaicampaignsvalidatedindicator" src="<?php echo $smartaicampaigns_validated_indicator;?>" style="float: right;width:128px">
                      <h3 style="white-space: nowrap;">Smart AI Campaigns licensed:</h3>
                                        
                    </div>
                
                  </td>

                </tr>

                <tr>
                
                  <td>
                

                    <div>

                      <img id="smartaicampaignsenabledindicator" src="<?php echo $smartaicampaigns_enabled_indicator;?>" style="float: right;width:128px">
                      <h3 style="white-space: nowrap;">Smart AI Campaigns enabled:</h3>
                                        
                    </div>
                
                  </td>

                </tr>

                <?php

                if($smartai_campaigns_eligible == true )
                {
                  if( $smartai_campaigns_enabled == false)
                  {
  
                ?>

                <form id="smartaicampaignsform" method="POST">
                
                <tr>

                  <td>
                   
                    <button id="btnsmartaicampaignsenable" type="button" class="btn btn-primary btn-lg btnsmartaicampaignsenable"><span>Enable Smart AI Campaigns</span></button> 
                     
                  </td>
                   
                </tr>

                <input name="action" type="hidden" value="the_ajax_smaicEnableSmartAICampaigns" />
                <input id="whattodo" name="whattodo" type="hidden" value="enable"/>

                </form>

                <?php
                  }
                  else
                  {
                 ?>
                <form id="smartaicampaignsform" method="POST">

                <tr>
                  
                  <td>
                  
                    <button id="btnsmartaicampaignsdisable" type="button" class="btn btn-danger btn-lg btnsmartaicampaignsenable"><span>Disable Smart AI Campaigns</span></button> 
                    
                  </td>
                
                </tr>

                <input name="action" type="hidden" value="the_ajax_smaicEnableSmartAICampaigns" />
                <input id="whattodo" name="whattodo" type="hidden" value="disable"/>

                </form>

                <?php
                  }
                }
                else
                {
                  ?>
                <div style="text-align:center">
                
                <iframe width="560" height="315" src="https://www.youtube.com/embed/avhEoRXk7eI?si=9bGEEHeswE6Btzoe" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe><br/>
                
                <a target="_blank" href="https://warriorplus.com/o2/buy/spd00g/v43v13/b5t4b9/SPRINGBREAK"><img src="https://warriorplus.com/o2/btn/cn000001000/spd00g/v43v13/361915/plgnstngs?ct2=Get%20Smart%20AI%20Campaigns"></a></div>
                <div style="font-size:16px" align="center"><strong>Use coupon code SPRINGBREAK for 30% off for a limited time! just $53</strong></div>

                <form id="smartaicampaignslicensekeyform" method="POST">
                               
                <tr>
               
                  <td>
                   
                    <input type="button" class="button-primary" id="smartaicampaignskey_save" name="smartaicampaignskey_save" value="Validate"  onClick="registerSmartAICampaignsSmaicc();return false"/>
                     
                  </td>
                   
                </tr>

                <tr>

                  <td>

                    <span id="smartaicampaignsresponse"></span><img src="<?php echo SMAICC_PLUGIN_URL; ?>images/ajax-loader-2.gif" id="imgsmartaicampaignsprogress" style="display:none"/>

                  </td>

                </tr>

                <input name="action" type="hidden" value="the_ajax_registerSmartAICampaignsKey" />
                <input id="smcampaignsregisterlicensekey" name="smcampaignsregisterlicensekey" type="hidden" value=""/>
                <input id="smcampaignsregisterlicenseemail" name="smcampaignsregisterlicenseemail" type="hidden" value=""/>

                </form>
                
                <?php
                }

                ?>
              </table>
          
            </div>
          </div>
          <?php
          if($silo_factory_eligible == false && $smartai_campaigns_eligible == false && $levelname != "API-KEY FREE")
          {
          ?>
          <div class="row" style="border-bottom:solid 5px #efefef;border-radius:6px">

            <div style="margin:24px" style="text-align:center">

              <img style="width:85%" src="https://webdpics.s3.us-east-1.amazonaws.com/products/SmartAIContentCreator/smaicc-power-bundle_230916-01_860px.jpg"/><br/>
            
              <h1 align="center">Ultimate Smart AI Power Bundle</h1>


              <table width="100%" class="form-table" style="width:100%">
              
                <tr>

                  <td>
                    <div style="text-align:center">
                      <iframe width="560" height="315" src="https://www.youtube.com/embed/58KAmbxH0DE?si=iR40K2FCFFPNISgj" title="YouTube video player" frameborder="0" allow="accelerometer; autoplay; clipboard-write; encrypted-media; gyroscope; picture-in-picture; web-share" referrerpolicy="strict-origin-when-cross-origin" allowfullscreen></iframe><br/>
                      <a target="_blank" href="https://warriorplus.com/o2/buy/spd00g/g5csnd/zr7gtb/SPRINGBREAK"><img src="https://warriorplus.com/o2/btn/fn000001001/spd00g/g5csnd/365417?ct2=Get%20Ultimate%20Smart%20Power%20Bundle"></a>
                      <div style="font-size:16px" align="center"><strong>Use coupon code SPRINGBREAK for 30% off for a limited time! just $228</strong></div>

                    </div>

                  </td>
                </tr>
              </table>

            </div>

          </div>

          <?php
          }
          ?>





        </div>
        
      </div>
            
    
  </div>
 
</div>
<!-- /.postbox -->

<div class="notifydiv">
<h2><span id="mymessage"></span></h2>
<p style="font-size:16px"><span id="myexplanation"></span></p>
</div>
<script>
jQuery(document).on('ready', function(){
    jQuery("#lnkunregister").on('click', function(){

    if(confirm("Are you sure you want to unregister <?php echo SMAICC_NAME;?> from this blog?"))
    {
      jQuery("#registeraction").val("the_ajax_smaicUnregister");

      unregisterSmaicc();

    }

  });
});
</script>
<style type="text/css">
.notifydiv
{
  display:none;
  width:460px;
  height:300px;
  border: solid 2px #444444;
  background-color:#1082c5;
  color:#ffffff;
  padding:16px;
  position:fixed;
  top:50%;
  left:50%;
  margin-top:-150px; /* negative half the size of height */
  margin-left:-230px; /* negative half the size of width */
  z-index: 1400;
  border-radius:14px;
  
}

.error
{
color:red;
}

.success
{
color:green;
}
</style>