//console.log("Hello from smaicc-media system.");
var frame = wp.media.view.MediaFrame.Post;
wp.media.view.MediaFrame.Post = frame.extend({
  initialize: function(){
    frame.prototype.initialize.apply(this, arguments);
    var State = wp.media.controller.State.extend({
      insert: function(){
        console.log("Something...");
        this.frame.close();
      }
    });

    this.states.add([
      new State({
        id: "smaiccmedia",
        search: false,
        title: "Smaicc Media"
      })
    ]);

    this.on(
      'content:render:smaiccmedia',
      this.renderSmaiccMediaContent, this);
  },
  browseRouter: function (routerView) {
    routerView.set({
      upload:{
        text: wp.media.view.l10n.uploadFilesTitle,
          priority: 20
      },
      smaiccmedia: {
          text: "Smart AI Images",
          priority: 30
      },
      browse: {
         text: wp.media.view.l10n.mediaLibraryTitle,
         priority: 40
      }
    });
  },
  renderSmaiccMediaContent: function(){
    var SmaiccMediaContent = wp.Backbone.View.extend({
      tagName: "div",
        className: "smaicc-media",
        template: wp.template("smaiccmedia"),
        active: false,
        toolbar: null,
        frame: null,
    });

    var view = new SmaiccMediaContent();

    this.content.set(view);

  }

});
